%define	name	qrblcheck
%define	version	0.93
%define	release	1mdk

Summary:	Extracts dul & rbl ip addresses
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://jon.rusts.net/qrblcheck.c
Source:		%{name}-%{version}.tar.bz2
Patch0:		localhost.patch.bz2
Requires:	qmail >= 1.03-4mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
qrblcheck is basically rblcheck 1.4 with a chunk of code tacked on that
will extract the ip address of the last relay mail server from a message 
input on stdin -- handy for use in a .qmail file

%prep
%setup -n %{name}-%{version}
%patch -p0

%build
gcc %{optflags} -o qrblcheck -lresolv qrblcheck.c

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_bindir}/
install -m 755 %{name} %{buildroot}/%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}

%changelog
* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.93-1mdk
- initial cooker contrib.
- added localhost as db machine.
